Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

One season's leaders for one stat

GET/leaders
Authorization
x-api-keyAPI key · headerrequired
Query parameters
statstring

Default: points.

Allowed:goalsassistspointshitsfightspenaltyMinutesshotsplusMinussavesshutouts
seasonstring

A season id ("S04"). Default: the current season.

limitinteger

Up to 50. Default 10.

Responses
200

OK

dataLeader[]required
Show properties
Array of Leader
rankintegerrequired
min -9007199254740991 · max 9007199254740991
playerIdstringrequired
namestringrequired
positionstringrequired
Allowed:LWCRWDG
teamIdstringrequired

The team the line was played for

gamesPlayedintegerrequired
min -9007199254740991 · max 9007199254740991
valuenumberrequired
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/leaders' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "rank": -9007199254740991,
      "playerId": "string",
      "name": "string",
      "position": "LW",
      "teamId": "string",
      "gamesPlayed": -9007199254740991,
      "value": 0
    }
  ]
}

Was this page helpful?